<?php 
require "inc.php";
if(!isset($get_type)) $get_type="";

(isset($get_folder_id))? $get_folder_id=intval($get_folder_id):$get_folder_id=0;

$arr_config["upload_count"]=1;
if($obj_tab_sys_config->get_val("other","upload_count")!="") $arr_config["upload_count"]=intval($obj_tab_sys_config->get_val("other","upload_count"));

if(isset($_POST["subok"])&&$_POST["subok"]){
	$obj_tab_upload=new cls_tab_other_upload();
	$obj_tab_upload->set_folder_id($get_folder_id);
	$arr_return=$obj_tab_upload->on_upload();
	if($arr_return["err"]=="")
	{
		$obj_msg->js("parent.frmMain.submit();");
	}else{
		$obj_msg->alert($arr_return["err"]);
		$obj_msg->on_history_back();
	}
}else{
	
include 'tpl/upload_upfile.tpl.php';
}
?>